OPKG-BUILD(1)

NAME
opkg-build - construct an .opk from a directory

SYNOPSIS
opkg-build [-A] [-X] [-c] [-C] [-Z compressor] [-a] [-O] [-o owner] [-g group] pkg_directory [destination_directory]

DESCRIPTION
opkg-build creates an opkg package from a filesystem tree stored in pkg_directory. pkg_directory must have a CONTROL directory, which contains the control information files, including the control file itself. This directory will not appear in the binary package's filesystem archive, but instead the files in it will be put in the binary package's control information area.

opkg-build will read CONTROL/control file and parse it. It will check it for syntax errors and other problems, and it will stop if it finds any.

If no destination_directory is specified, opkg-build will write the package into a file in the current directory. The name of the package file will be package_version_arch.ipk.

If the archive to be created already exists, it will be overwritten.

OPTIONS
A summary of options is included below.

-c  Generate a binary package in an older tar format.

-C  Stop with an error if any files ending with ~ are found. The default behaviour is to remove such files.

-Z compressor
    Specify which compression type to use when building a package. Allowed values are gzip, pigz, bzip2, lz4, xz and zstd (default is gzip).

-a compressor-args
    Specify the arguments used by the compressor. Overrides the default values.

-O  Use .opk extension. By default, .ipk is used.

-o owner
    Force owner as the owner of all files in the package.

-g group
    Force group as the group of all files in the package.

FILES
opkg-build creates a temporary directory named IPKG_BUILD.$$ in the destination directory (where $$ stands for the PID of the running opkg-build). There currently isn't a way to override this.

For compatibility with Debian's dpkg-deb, the directory with control files can also be named DEBIAN. If both DEBIAN and CONTROL directories present, CONTROL takes the precedence.

AUTHORS
This manual page was written by Andrew Shadura based on the manual page of dpkg-deb.